Subject: Re: Bug report: stash in upstream caused remote fetch to fail

From: Andrew Walrond <[email-masked]>
Date: Wed, 1 Feb 2012 22:37:44 +0000

On Wed, Feb 01, 2012 at 09:46:48PM +0100, Thomas Rast wrote:
> 
> Do you, by any chance, still have a copy of the upstream repo before you
> trashed the stash?  It would be interesting to know whether there was
> actually some repository corruption going on (that went unnoticed by
> fsck, no less) or if there was a bug in the transmission.

I tried to reproduce the problem but without success :(
Disk corruption is unlikely - raided drives etc etc. More likely stash
related somehow as I was applying patches manually on older versions
checked out in a temp branch, stashing the results then applying the
stash onto master/HEAD.
But why was a remote clone involved with the upstream stash at all I
wonder??

Andrew Walrond